libetonyek::KEY1Token Namespace Reference documentation

Enumerations | Functions
libetonyek::KEY1Token Namespace Reference

## Enumerations
enum | { INVALID_TOKEN = 0, FIRST_TOKEN = IWORKTokenInfo<KEY1Parser>::first, application_name, application_version, array, axes, axis, background_fill_style, body, bullet, bullet_characters, bullets, character_bullet_style, chart_prototype, color, content, dash_style, data, dict, drawables, fill_style, font, gradient, guide, guides, image, legend, line, line_head_style, line_tail_style, master_slide, master_slides, metadata, null, number, page_number, presentation, prototype_bullets, prototype_data, prototype_drawables, prototype_plugin, prototype_plugins, rect, reference, serie, series, shadow_style, shape, size, slide, slide_list, string, stroke_style, styles, symbol, text_attributes, textbox, theme, thumbnail, thumbnails, time_stamp, title, transition_style, ui_state, DefaultLegendRelativePosition, DefaultLegendSize, altLineOpacity, altLineVisible, angle, buildChunkingStyle, bullet_indentation, byte_size, chartFrame, dataFormatterHasThousandsSeparators, dataFormatterNumberOfDecimals, dataFormatterPrefix, dataFormatterSuffix, display_name, duration, end_color, file, fill_color, fill_type, floating_content, font_name, font_size, gradient_angle, gridOpacity, id, id_ref, image_data, image_scale, interBarGap, interSeriesGap, is_filled, key, labelOpacity, labelPosition, labelVisible, layerElementsForShadowing, level, lineOpacity, lineVisible, location, lock_aspect_ratio, locked, majorTickPositions, marker_type, master_slide_id, minorTickPositions, name, natural_size, numberOfPoints, offset, opacity, orientation, paragraph_alignment, paragraph_first_line_indent, paragraph_head_indent, pattern, pieSliceOffset, pieSlicePercentVisible, point_at_top, radius, seriesDirection, showGrid, showZero, size_technique, slide_size, spacing, start_color, steps, stroke_color, stroke_width, symbolFillMode, tab_stops, tickLabelsAngle, tickLabelsOpacity, tickLabelsVisible, titleVisible, transformation, type, useUserMaximum, useUserMinimum, userMaximum, userMinimum, version, vertical_alignment, visibility, visible, width, LAST_TOKEN }

## Functions
const IWORKTokenizer & | getTokenizer ()
| BOOST_STATIC_ASSERT (IWORKTokenInfo< KEY1Parser >::last >=LAST_TOKEN)

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
INVALID_TOKEN |
FIRST_TOKEN |
application_name |
application_version |
array |
axes |
axis |
background_fill_style |
body |
bullet |
bullet_characters |
bullets |
character_bullet_style |
chart_prototype |
color |
content |
dash_style |
data |
dict |
drawables |
fill_style |
font |
gradient |
guide |
guides |
image |
legend |
line |
line_head_style |
line_tail_style |
master_slide |
master_slides |
metadata |
null |
number |
page_number |
presentation |
prototype_bullets |
prototype_data |
prototype_drawables |
prototype_plugin |
prototype_plugins |
rect |
reference |
serie |
series |
shadow_style |
shape |
size |
slide |
slide_list |
string |
stroke_style |
styles |
symbol |
text_attributes |
textbox |
theme |
thumbnail |
thumbnails |
time_stamp |
title |
transition_style |
ui_state |
DefaultLegendRelativePosition |
DefaultLegendSize |
altLineOpacity |
altLineVisible |
angle |
buildChunkingStyle |
bullet_indentation |
byte_size |
chartFrame |
dataFormatterHasThousandsSeparators |
dataFormatterNumberOfDecimals |
dataFormatterPrefix |
dataFormatterSuffix |
display_name |
duration |
end_color |
file |
fill_color |
fill_type |
floating_content |
font_name |
font_size |
gradient_angle |
gridOpacity |
id |
id_ref |
image_data |
image_scale |
interBarGap |
interSeriesGap |
is_filled |
key |
labelOpacity |
labelPosition |
labelVisible |
layerElementsForShadowing |
level |
lineOpacity |
lineVisible |
location |
lock_aspect_ratio |
locked |
majorTickPositions |
marker_type |
master_slide_id |
minorTickPositions |
name |
natural_size |
numberOfPoints |
offset |
opacity |
orientation |
paragraph_alignment |
paragraph_first_line_indent |
paragraph_head_indent |
pattern |
pieSliceOffset |
pieSlicePercentVisible |
point_at_top |
radius |
seriesDirection |
showGrid |
showZero |
size_technique |
slide_size |
spacing |
start_color |
steps |
stroke_color |
stroke_width |
symbolFillMode |
tab_stops |
tickLabelsAngle |
tickLabelsOpacity |
tickLabelsVisible |
titleVisible |
transformation |
type |
useUserMaximum |
useUserMinimum |
userMaximum |
userMinimum |
version |
vertical_alignment |
visibility |
visible |
width |
LAST_TOKEN |

## Function Documentation

## ◆ BOOST_STATIC_ASSERT()

libetonyek::KEY1Token::BOOST_STATIC_ASSERT | ( | IWORKTokenInfo< KEY1Parser >::last >= | LAST_TOKEN | ) |

## ◆ getTokenizer()

const IWORKTokenizer & libetonyek::KEY1Token::getTokenizer | ( |  | ) |

Referenced by libetonyek::KEY1Parser::getTokenizer().